Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90	(revision 5116)
@@ -164,5 +164,5 @@
     !*** on remplit les champs before avec les champs after du pas   ***
     !*** precedent en format gcm                                     ***
-    if(pas>pasprev)then
+    IF(pas>pasprev)THEN
       do i = 1, klev
         htbef(i) = htaft(i)
@@ -193,5 +193,5 @@
               &, ts_fcg, ts_subr, imp_fcg, Turb_fcg)
 
-      if(Tp_fcg) then
+      IF(Tp_fcg) THEN
         !     (le forcage est donne en temperature potentielle)
         do i = 1, nblvlm
@@ -199,5 +199,5 @@
         enddo
       endif ! Tp_fcg
-      if(Turb_fcg) then
+      IF(Turb_fcg) THEN
         do i = 1, nblvlm
           hThTurb_mes(i) = hThTurb_mes(i) * (hplaym(i) / 1000.)**rkappa
@@ -208,9 +208,9 @@
       PRINT*, 'hq_mes ', (hq_mes(i), i = 1, nblvlm)
       PRINT*, 'hw_mes ', (hw_mes(i), i = 1, nblvlm)
-      if(imp_fcg) then
+      IF(imp_fcg) THEN
         PRINT*, 'hu_mes ', (hu_mes(i), i = 1, nblvlm)
         PRINT*, 'hv_mes ', (hv_mes(i), i = 1, nblvlm)
       endif
-      if(Turb_fcg) then
+      IF(Turb_fcg) THEN
         PRINT*, 'hThTurb_mes ', (hThTurb_mes(i), i = 1, nblvlm)
         PRINT*, 'hqTurb_mes ', (hqTurb_mes(i), i = 1, nblvlm)
@@ -220,13 +220,13 @@
       !*** gcm . on obtient le nouveau champ after                    ***
       do k = 1, klev
-        if (JM(k) == 0) then
+        if (JM(k) == 0) THEN
           htaft(k) = ht_mes(jm(k) + 1)
           hqaft(k) = hq_mes(jm(k) + 1)
           hwaft(k) = hw_mes(jm(k) + 1)
-          if(imp_fcg) then
+          IF(imp_fcg) THEN
             huaft(k) = hu_mes(jm(k) + 1)
             hvaft(k) = hv_mes(jm(k) + 1)
           endif ! imp_fcg
-          if(Turb_fcg) then
+          IF(Turb_fcg) THEN
             hThTurbaft(k) = hThTurb_mes(jm(k) + 1)
             hqTurbaft(k) = hqTurb_mes(jm(k) + 1)
@@ -236,9 +236,9 @@
           hqaft(k) = coef1(k) * hq_mes(jm(k)) + coef2(k) * hq_mes(jm(k) + 1)
           hwaft(k) = coef1(k) * hw_mes(jm(k)) + coef2(k) * hw_mes(jm(k) + 1)
-          if(imp_fcg) then
+          IF(imp_fcg) THEN
             huaft(k) = coef1(k) * hu_mes(jm(k)) + coef2(k) * hu_mes(jm(k) + 1)
             hvaft(k) = coef1(k) * hv_mes(jm(k)) + coef2(k) * hv_mes(jm(k) + 1)
           endif ! imp_fcg
-          if(Turb_fcg) then
+          IF(Turb_fcg) THEN
             hThTurbaft(k) = coef1(k) * hThTurb_mes(jm(k))                            &
                     & + coef2(k) * hThTurb_mes(jm(k) + 1)
@@ -256,5 +256,5 @@
     !*** si on atteint le pas max des donnees experimentales ,on     ***
     !*** on conserve les derniers champs calcules                    ***
-    if(temps>=pasmax)then
+    IF(temps>=pasmax)THEN
       do ll = 1, klev
         ht(ll) = htaft(ll)
@@ -274,9 +274,9 @@
         hq(j) = ((timeaft - time) * hqbef(j) + (time - timebef) * hqaft(j)) / dt
         hw(j) = ((timeaft - time) * hwbef(j) + (time - timebef) * hwaft(j)) / dt
-        if(imp_fcg) then
+        IF(imp_fcg) THEN
           hu(j) = ((timeaft - time) * hubef(j) + (time - timebef) * huaft(j)) / dt
           hv(j) = ((timeaft - time) * hvbef(j) + (time - timebef) * hvaft(j)) / dt
         endif ! imp_fcg
-        if(Turb_fcg) then
+        IF(Turb_fcg) THEN
           hThTurb(j) = ((timeaft - time) * hThTurbbef(j)                           &
                   & + (time - timebef) * hThTurbaft(j)) / dt
@@ -316,5 +316,5 @@
     !===================================================================
 
-    write(*, '(a)') 'OPEN ' // file_forctl
+    WRITE(*, '(a)') 'OPEN ' // file_forctl
     open(97, FILE = file_forctl, FORM = 'FORMATTED')
 
@@ -359,5 +359,5 @@
     close(98)
 
-    write(*, '(a)') 'OPEN ' // file_fordat
+    WRITE(*, '(a)') 'OPEN ' // file_fordat
     open(99, FILE = file_fordat, FORM = 'UNFORMATTED', ACCESS = 'DIRECT', RECL = 8)
     icomp1 = nblvlm * 4
@@ -375,5 +375,5 @@
     !   (otherwise this is the potential temperature )
     !------------------------------------------------------------------------
-    if(Tp_fcg) then
+    IF(Tp_fcg) THEN
       do i = 1, nblvlm
         ht_mes(i) = ht_mes(i) * (hplaym(i) / 1000.)**rkappa
@@ -383,10 +383,10 @@
     PRINT*, 'hq_mes ', (hq_mes(i), i = 1, nblvlm)
     PRINT*, 'hw_mes ', (hw_mes(i), i = 1, nblvlm)
-    if(imp_fcg) then
+    IF(imp_fcg) THEN
       PRINT*, 'hu_mes ', (hu_mes(i), i = 1, nblvlm)
       PRINT*, 'hv_mes ', (hv_mes(i), i = 1, nblvlm)
       PRINT*, 't', ts_subr
     endif ! imp_fcg
-    if(Turb_fcg) then
+    IF(Turb_fcg) THEN
       PRINT*, 'hThTurb_mes ', (hThTurb_mes(i), i = 1, nblvlm)
       PRINT*, 'hqTurb ', (hqTurb_mes(i), i = 1, nblvlm)
@@ -397,5 +397,5 @@
     !-----------------------------------------------------------------------
     do k = 1, klev
-      if (JM(k) == 0) then
+      if (JM(k) == 0) THEN
         !FKC bug? ne faut il pas convertir tsol en tendance ????
         !RT bug taken care of by removing the stuff
@@ -403,9 +403,9 @@
         hqaft(k) = hq_mes(jm(k) + 1)
         hwaft(k) = hw_mes(jm(k) + 1)
-        if(imp_fcg) then
+        IF(imp_fcg) THEN
           huaft(k) = hu_mes(jm(k) + 1)
           hvaft(k) = hv_mes(jm(k) + 1)
         endif ! imp_fcg
-        if(Turb_fcg) then
+        IF(Turb_fcg) THEN
           hThTurbaft(k) = hThTurb_mes(jm(k) + 1)
           hqTurbaft(k) = hqTurb_mes(jm(k) + 1)
@@ -415,9 +415,9 @@
         hqaft(k) = coef1(k) * hq_mes(jm(k)) + coef2(k) * hq_mes(jm(k) + 1)
         hwaft(k) = coef1(k) * hw_mes(jm(k)) + coef2(k) * hw_mes(jm(k) + 1)
-        if(imp_fcg) then
+        IF(imp_fcg) THEN
           huaft(k) = coef1(k) * hu_mes(jm(k)) + coef2(k) * hu_mes(jm(k) + 1)
           hvaft(k) = coef1(k) * hv_mes(jm(k)) + coef2(k) * hv_mes(jm(k) + 1)
         endif ! imp_fcg
-        if(Turb_fcg) then
+        IF(Turb_fcg) THEN
           hThTurbaft(k) = coef1(k) * hThTurb_mes(jm(k))                        &
                   & + coef2(k) * hThTurb_mes(jm(k) + 1)
@@ -433,9 +433,9 @@
       hq(k) = hqaft(k)
       hw(k) = hwaft(k)
-      if(imp_fcg) then
+      IF(imp_fcg) THEN
         hu(k) = huaft(k)
         hv(k) = hvaft(k)
       endif ! imp_fcg
-      if(Turb_fcg) then
+      IF(Turb_fcg) THEN
         hThTurb(k) = hThTurbaft(k)
         hqTurb(k) = hqTurbaft(k)
@@ -486,5 +486,5 @@
     enddo
 
-    return
+    RETURN
   end
 
@@ -548,16 +548,16 @@
     !---------------------------------------------------------
 
-    write(*, *) ' '
-    write(*, *) 'TESTS com1_phys_gcss et com2_phys_gcss dans copie.F'
-    write(*, *) '--------------------------------------'
-    write(*, *) 'GCM: nb niveaux:', klev, ' et pression, coeffs:'
+    WRITE(*, *) ' '
+    WRITE(*, *) 'TESTS com1_phys_gcss et com2_phys_gcss dans copie.F'
+    WRITE(*, *) '--------------------------------------'
+    WRITE(*, *) 'GCM: nb niveaux:', klev, ' et pression, coeffs:'
     do k = 1, klev
-      write(*, *) play(k), coef1(k), coef2(k)
-    enddo
-    write(*, *) 'MESO-NH: nb niveaux:', nblvlm, ' et pression:'
+      WRITE(*, *) play(k), coef1(k), coef2(k)
+    enddo
+    WRITE(*, *) 'MESO-NH: nb niveaux:', nblvlm, ' et pression:'
     do k = 1, nblvlm
-      write(*, *) playm(k), hplaym(k)
-    enddo
-    write(*, *) ' '
+      WRITE(*, *) playm(k), hplaym(k)
+    enddo
+    WRITE(*, *) ' '
 
   end
@@ -610,5 +610,5 @@
     read(lu, *) (playm(mlz), mlz = 1, nblvlm)
     !      Si la pression est en HPa, la multiplier par 100
-    if (playm(1) < 10000.) then
+    if (playm(1) < 10000.) THEN
       do mlz = 1, nblvlm
         playm(mlz) = playm(mlz) * 100.
@@ -662,5 +662,5 @@
     enddo
 
-    if(turb_fcg) then
+    IF(turb_fcg) THEN
       do k = 1, nl
         icomp = icomp + 1
@@ -674,6 +674,5 @@
     print *, ' apres lecture hthtur, hqtur'
 
-    if(imp_fcg) then
-
+    IF(imp_fcg) THEN
       do k = 1, nl
         icomp = icomp + 1
@@ -692,5 +691,5 @@
     enddo
 
-    if(ts_fcg) then
+    IF(ts_fcg) THEN
       icomp = icomp + 1
       read(itape, rec = icomp)ts
@@ -730,12 +729,12 @@
     do k = 1, klev
       val = play(k)
-      if (val > playm(1)) then
+      if (val > playm(1)) THEN
         mlz = 0
         JM(1) = mlz
         coef1(1) = (playm(mlz + 1) - val) / (playm(mlz + 1) - psol)
         coef2(1) = (val - psol) / (playm(mlz + 1) - psol)
-      else if (val > playm(nblvlm)) then
+      else if (val > playm(nblvlm)) THEN
         do mlz = 1, nblvlm
-          if (val <= playm(mlz).and. val > playm(mlz + 1))then
+          if (val <= playm(mlz).and. val > playm(mlz + 1))THEN
             JM(k) = mlz
             coef1(k) = (playm(mlz + 1) - val) / (playm(mlz + 1) - playm(mlz))
@@ -750,5 +749,5 @@
     enddo
 
-    !c      if (play(klev) .le. playm(nblvlm)) then
+    !c      if (play(klev) .le. playm(nblvlm)) THEN
     !c         mlz=nblvlm-1
     !c         JM(klev)=mlz
@@ -773,5 +772,5 @@
     PRINT*, (coef2(k), k = 1, klev)
 
-    return
+    RETURN
   end
   SUBROUTINE GETSCH(STR, DEL, TRM, NTH, SST, NCH)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5116)
@@ -8,5 +8,5 @@
   SUBROUTINE old_lmdz1d
 
-    USE ioipsl, only: ju2ymds, ymds2ju, ioconf_calendar, getin
+    USE ioipsl, ONLY: ju2ymds, ymds2ju, ioconf_calendar, getin
     USE phys_state_var_mod, ONLY: phys_state_var_init, phys_state_var_end, &
             clwcon, detr_therm, &
@@ -68,37 +68,37 @@
 
     integer, parameter :: ngrid = 1
-    real :: zcufi = 1.
-    real :: zcvfi = 1.
-
-    !-      real :: nat_surf
+    REAL :: zcufi = 1.
+    REAL :: zcvfi = 1.
+
+    !-      REAL :: nat_surf
     !-      logical :: ok_flux_surf
-    !-      real :: fsens
-    !-      real :: flat
-    !-      real :: tsurf
-    !-      real :: rugos
-    !-      real :: qsol(1:2)
-    !-      real :: qsurf
-    !-      real :: psurf
-    !-      real :: zsurf
-    !-      real :: albedo
+    !-      REAL :: fsens
+    !-      REAL :: flat
+    !-      REAL :: tsurf
+    !-      REAL :: rugos
+    !-      REAL :: qsol(1:2)
+    !-      REAL :: qsurf
+    !-      REAL :: psurf
+    !-      REAL :: zsurf
+    !-      REAL :: albedo
     !-
-    !-      real :: time     = 0.
-    !-      real :: time_ini
-    !-      real :: xlat
-    !-      real :: xlon
-    !-      real :: wtsurf
-    !-      real :: wqsurf
-    !-      real :: restart_runoff
-    !-      real :: xagesno
-    !-      real :: qsolinp
-    !-      real :: zpicinp
+    !-      REAL :: time     = 0.
+    !-      REAL :: time_ini
+    !-      REAL :: xlat
+    !-      REAL :: xlon
+    !-      REAL :: wtsurf
+    !-      REAL :: wqsurf
+    !-      REAL :: restart_runoff
+    !-      REAL :: xagesno
+    !-      REAL :: qsolinp
+    !-      REAL :: zpicinp
     !-
-    real :: fnday
-    real :: day, daytime
-    real :: day1
-    real :: heure
-    integer :: jour
-    integer :: mois
-    integer :: an
+    REAL :: fnday
+    REAL :: day, daytime
+    REAL :: day1
+    REAL :: heure
+    INTEGER :: jour
+    INTEGER :: mois
+    INTEGER :: an
 
     !---------------------------------------------------------------------
@@ -106,5 +106,5 @@
     !---------------------------------------------------------------------
 
-    integer :: kmax = llm
+    INTEGER :: kmax = llm
     integer llm700, nq1, nq2
     INTEGER, PARAMETER :: nlev_max = 1000, nqmx = 1000
@@ -117,5 +117,5 @@
     real  qprof(nlev_max, nqmx)
 
-    !        integer :: forcing_type
+    !        INTEGER :: forcing_type
     logical :: forcing_les = .FALSE.
     logical :: forcing_armcu = .FALSE.
@@ -136,5 +136,5 @@
     logical :: forcing_case2 = .FALSE.
     logical :: forcing_SCM = .FALSE.
-    integer :: type_ts_forcing ! 0 = SST constant; 1 = SST read from a file
+    INTEGER :: type_ts_forcing ! 0 = SST constant; 1 = SST read from a file
     !                                                            (cf read_tsurf1d.F)
 
@@ -159,20 +159,20 @@
     !  Declarations related to nudging
     !---------------------------------------------------------------------
-    integer :: nudge_max
+    INTEGER :: nudge_max
     parameter (nudge_max = 9)
-    integer :: inudge_RHT = 1
-    integer :: inudge_UV = 2
+    INTEGER :: inudge_RHT = 1
+    INTEGER :: inudge_UV = 2
     logical :: nudge(nudge_max)
-    real :: t_targ(llm)
-    real :: rh_targ(llm)
-    real :: u_targ(llm)
-    real :: v_targ(llm)
+    REAL :: t_targ(llm)
+    REAL :: rh_targ(llm)
+    REAL :: u_targ(llm)
+    REAL :: v_targ(llm)
 
     !---------------------------------------------------------------------
     !  Declarations related to vertical discretization:
     !---------------------------------------------------------------------
-    real :: pzero = 1.e5
-    real :: play (llm), zlay (llm), sig_s(llm), plev(llm + 1)
-    real :: playd(llm), zlayd(llm), ap_amma(llm + 1), bp_amma(llm + 1)
+    REAL :: pzero = 1.e5
+    REAL :: play (llm), zlay (llm), sig_s(llm), plev(llm + 1)
+    REAL :: playd(llm), zlayd(llm), ap_amma(llm + 1), bp_amma(llm + 1)
 
     !---------------------------------------------------------------------
@@ -180,19 +180,19 @@
     !---------------------------------------------------------------------
 
-    real :: phi(llm)
-    real :: teta(llm), tetal(llm), temp(llm), u(llm), v(llm), w(llm)
+    REAL :: phi(llm)
+    REAL :: teta(llm), tetal(llm), temp(llm), u(llm), v(llm), w(llm)
     REAL rot(1, llm) ! relative vorticity, in s-1
-    real :: rlat_rad(1), rlon_rad(1)
-    real :: omega(llm + 1), omega2(llm), rho(llm + 1)
-    real :: ug(llm), vg(llm), fcoriolis
-    real :: sfdt, cfdt
-    real :: du_phys(llm), dv_phys(llm), dt_phys(llm)
-    real :: dt_dyn(llm)
-    real :: dt_cooling(llm), d_t_adv(llm), d_t_nudge(llm)
-    real :: d_u_nudge(llm), d_v_nudge(llm)
-    real :: du_adv(llm), dv_adv(llm)
-    real :: du_age(llm), dv_age(llm)
-    real :: alpha
-    real :: ttt
+    REAL :: rlat_rad(1), rlon_rad(1)
+    REAL :: omega(llm + 1), omega2(llm), rho(llm + 1)
+    REAL :: ug(llm), vg(llm), fcoriolis
+    REAL :: sfdt, cfdt
+    REAL :: du_phys(llm), dv_phys(llm), dt_phys(llm)
+    REAL :: dt_dyn(llm)
+    REAL :: dt_cooling(llm), d_t_adv(llm), d_t_nudge(llm)
+    REAL :: d_u_nudge(llm), d_v_nudge(llm)
+    REAL :: du_adv(llm), dv_adv(llm)
+    REAL :: du_age(llm), dv_age(llm)
+    REAL :: alpha
+    REAL :: ttt
 
     REAL, ALLOCATABLE, DIMENSION(:, :) :: q
@@ -206,8 +206,8 @@
     !  Initialization of surface variables
     !---------------------------------------------------------------------
-    real :: run_off_lic_0(1)
-    real :: fder(1), snsrf(1, nbsrf), qsurfsrf(1, nbsrf)
-    real :: tsoil(1, nsoilmx, nbsrf)
-    !     real :: agesno(1,nbsrf)
+    REAL :: run_off_lic_0(1)
+    REAL :: fder(1), snsrf(1, nbsrf), qsurfsrf(1, nbsrf)
+    REAL :: tsoil(1, nsoilmx, nbsrf)
+    !     REAL :: agesno(1,nbsrf)
 
     !---------------------------------------------------------------------
@@ -215,6 +215,6 @@
     !---------------------------------------------------------------------
     logical :: ok_writedem = .TRUE.
-    real :: sollw_in = 0.
-    real :: solsw_in = 0.
+    REAL :: sollw_in = 0.
+    REAL :: solsw_in = 0.
 
     !---------------------------------------------------------------------
@@ -223,6 +223,6 @@
     logical :: firstcall = .TRUE.
     logical :: lastcall = .FALSE.
-    real :: phis(1) = 0.0
-    real :: dpsrf(1)
+    REAL :: phis(1) = 0.0
+    REAL :: dpsrf(1)
 
     !---------------------------------------------------------------------
@@ -243,10 +243,10 @@
     !  Fichiers et d'autres variables
     !---------------------------------------------------------------------
-    integer :: k, l, i, it = 1, mxcalc
-    integer :: nsrf
+    INTEGER :: k, l, i, it = 1, mxcalc
+    INTEGER :: nsrf
     integer jcode
     INTEGER read_climoz
 
-    integer :: it_end ! iteration number of the last call
+    INTEGER :: it_end ! iteration number of the last call
     !Al1
     integer ecrit_slab_oc !1=ecrit,-1=lit,0=no file
@@ -293,5 +293,5 @@
     close(1)
     !Al1
-    write(*, *) 'lmdz1d.def lu => unicol.def'
+    WRITE(*, *) 'lmdz1d.def lu => unicol.def'
 
     ! forcing_type defines the way the SCM is forced:
@@ -484,17 +484,17 @@
 
     !      calend = 'earth_365d'
-    if (calend == 'earth_360d') then
+    if (calend == 'earth_360d') THEN
       CALL ioconf_calendar('360_day')
-      write(*, *)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
-    else if (calend == 'earth_365d') then
+      WRITE(*, *)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
+    else if (calend == 'earth_365d') THEN
       CALL ioconf_calendar('noleap')
-      write(*, *)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
-    else if (calend == 'earth_366d') then
+      WRITE(*, *)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
+    else if (calend == 'earth_366d') THEN
       CALL ioconf_calendar('all_leap')
-      write(*, *)'CALENDRIER CHOISI: Terrestre bissextile'
-    else if (calend == 'gregorian') then
+      WRITE(*, *)'CALENDRIER CHOISI: Terrestre bissextile'
+    else if (calend == 'gregorian') THEN
       stop 'gregorian calend should not be used by normal user'
       CALL ioconf_calendar('gregorian') ! not to be used by normal users
-      write(*, *)'CALENDRIER CHOISI: Gregorien'
+      WRITE(*, *)'CALENDRIER CHOISI: Gregorien'
     else
       write (*, *) 'ERROR : unknown calendar ', calend
@@ -509,5 +509,5 @@
     !      Le numero du jour est dans "day". L heure est traitee separement.
     !      La date complete est dans "daytime" (l'unite est le jour).
-    if (nday>0) then
+    if (nday>0) THEN
       fnday = nday
     else
@@ -627,5 +627,5 @@
     CALL phys_state_var_init(read_climoz)
 
-    if (ngrid/=klon) then
+    if (ngrid/=klon) THEN
       PRINT*, 'stop in inifis'
       PRINT*, 'Probleme de dimensions :'
@@ -640,5 +640,5 @@
     !!      surf_Planck = 0.
     !!      surf_Conv   = 0.
-    !!      write(*,*) 'Gateaux-dif Planck,Conv:',surf_Planck,surf_Conv
+    !!      WRITE(*,*) 'Gateaux-dif Planck,Conv:',surf_Planck,surf_Conv
     !!! a mettre dans le lmdz1d.def ou autre
     !!
@@ -692,8 +692,8 @@
     IF (forcing_type == 59) THEN
       ! pour forcing_sandu, on cherche l'indice le plus proche de 700hpa#3000m
-      write(*, *) '***********************'
+      WRITE(*, *) '***********************'
       do l = 1, llm
-        write(*, *) 'l,play(l),presnivs(l): ', l, play(l), presnivs(l)
-        if (trouve_700 .and. play(l)<=70000) then
+        WRITE(*, *) 'l,play(l),presnivs(l): ', l, play(l), presnivs(l)
+        if (trouve_700 .and. play(l)<=70000) THEN
           llm700 = l
           print *, 'llm700,play=', llm700, play(l) / 100.
@@ -701,5 +701,5 @@
         endif
       enddo
-      write(*, *) '***********************'
+      WRITE(*, *) '***********************'
     ENDIF
 
@@ -710,5 +710,5 @@
     INCLUDE "old_1D_read_forc_cases.h"
 
-  IF (forcing_GCM2SCM) then
+  IF (forcing_GCM2SCM) THEN
   write (*, *) 'forcing_GCM2SCM not yet implemented'
   stop 'in initialization'
@@ -773,6 +773,5 @@
         ! On le met juste avant pour avoir acces a tous les champs
 
-        IF (ok_writedem) then
-
+        IF (ok_writedem) THEN
         !--------------------------------------------------------------------------
         ! pbl_surface_init (called here) and pbl_surface_final (called by phyredem)
@@ -813,20 +812,20 @@
         PRINT*, 'avant phyredem'
         pctsrf(1, :) = 0.
-        if (nat_surf==0.) then
+        if (nat_surf==0.) THEN
         pctsrf(1, is_oce) = 1.
         pctsrf(1, is_ter) = 0.
         pctsrf(1, is_lic) = 0.
         pctsrf(1, is_sic) = 0.
-        else if (nat_surf == 1) then
+        else if (nat_surf == 1) THEN
         pctsrf(1, is_oce) = 0.
         pctsrf(1, is_ter) = 1.
         pctsrf(1, is_lic) = 0.
         pctsrf(1, is_sic) = 0.
-        else if (nat_surf == 2) then
+        else if (nat_surf == 2) THEN
         pctsrf(1, is_oce) = 0.
         pctsrf(1, is_ter) = 0.
         pctsrf(1, is_lic) = 1.
         pctsrf(1, is_sic) = 0.
-        else if (nat_surf == 3) then
+        else if (nat_surf == 3) THEN
         pctsrf(1, is_oce) = 0.
         pctsrf(1, is_ter) = 0.
@@ -857,5 +856,5 @@
                 pbl_tke(:, 2, :) = 1.e-2
                 PRINT *, ' pbl_tke dans lmdz1d '
-                if (prt_level >= 5) then
+                if (prt_level >= 5) THEN
                 DO nsrf = 1, 4
                 PRINT *, 'pbl_tke(1,:,', nsrf, ') ', pbl_tke(1, :, nsrf)
@@ -937,5 +936,5 @@
                 CALL getin('iflag_physiq', iflag_physiq)
 
-                if (.not.restart) then
+                if (.not.restart) THEN
                 iflag_pbl = 5
                 CALL phyredem ("startphy.nc")
@@ -978,5 +977,5 @@
                 CALL phys_state_var_end
                 !Al1
-                IF (restart) then
+                IF (restart) THEN
                 PRINT*, 'CALL to restart dyn 1d'
                 Call dyn1deta0("start1dyn.nc", plev, play, phi, phis, presnivs, &
@@ -1007,7 +1006,7 @@
         END IF
         !Al1 ================  end restart =================================
-        IF (ecrit_slab_oc==1) then
+        IF (ecrit_slab_oc==1) THEN
         open(97, file = 'div_slab.dat', STATUS = 'UNKNOWN')
-                elseif (ecrit_slab_oc==0) then
+                elseif (ecrit_slab_oc==0) THEN
                 open(97, file = 'div_slab.dat', STATUS = 'OLD')
                 END IF
@@ -1016,8 +1015,8 @@
                 !    Initialize target profile for RHT nudging if needed
                 !---------------------------------------------------------------------
-                IF (nudge(inudge_RHT)) then
+                IF (nudge(inudge_RHT)) THEN
         CALL nudge_RHT_init(plev, play, temp, q(:, 1), t_targ, rh_targ)
                 END IF
-                IF (nudge(inudge_UV)) then
+                IF (nudge(inudge_UV)) THEN
                 CALL nudge_UV_init(plev, play, u, v, u_targ, v_targ)
                 END IF
@@ -1034,5 +1033,5 @@
                 DO while(it<=it_end)
 
-                if (prt_level>=1) then
+                if (prt_level>=1) THEN
         PRINT*, 'XXXXXXXXXXXXXXXXXXX ITAP,day,time=', &
         it, day, time, it_end, day_step
@@ -1058,5 +1057,5 @@
                 INCLUDE "old_1D_interp_cases.h"
 
-                IF (forcing_GCM2SCM) then
+                IF (forcing_GCM2SCM) THEN
         write (*, *) 'forcing_GCM2SCM not yet implemented'
         stop 'in time loop'
@@ -1076,17 +1075,17 @@
                 ! Listing output for debug prt_level>=1
                 !---------------------------------------------------------------------
-                IF (prt_level>=1) then
+                IF (prt_level>=1) THEN
                 print *, ' avant physiq : -------- day time ', day, time
-                write(*, *) 'firstcall,lastcall,phis', &
+                WRITE(*, *) 'firstcall,lastcall,phis', &
                 firstcall, lastcall, phis
                 end if
-                IF (prt_level>=5) then
-        write(*, '(a10,2a4,4a13)') 'BEFOR1 IT=', 'it', 'l', &
+                IF (prt_level>=5) THEN
+        WRITE(*, '(a10,2a4,4a13)') 'BEFOR1 IT=', 'it', 'l', &
         'presniv', 'plev', 'play', 'phi'
-        write(*, '(a10,2i4,4f13.2)') ('BEFOR1 IT= ', it, l, &
+        WRITE(*, '(a10,2i4,4f13.2)') ('BEFOR1 IT= ', it, l, &
         presnivs(l), plev(l), play(l), phi(l), l = 1, llm)
-                write(*, '(a11,2a4,a11,6a8)') 'BEFOR2', 'it', 'l', &
+                WRITE(*, '(a11,2a4,a11,6a8)') 'BEFOR2', 'it', 'l', &
                 'presniv', 'u', 'v', 'temp', 'q1', 'q2', 'omega2'
-        write(*, '(a11,2i4,f11.2,5f8.2,e10.2)') ('BEFOR2 IT= ', it, l, &
+        WRITE(*, '(a11,2i4,f11.2,5f8.2,e10.2)') ('BEFOR2 IT= ', it, l, &
         presnivs(l), u(l), v(l), temp(l), q(l, 1), q(l, 2), omega2(l), l = 1, llm)
                 END IF
@@ -1105,19 +1104,19 @@
                 ! Listing output for debug
                 !---------------------------------------------------------------------
-                IF (prt_level>=5) then
-        write(*, '(a11,2a4,4a13)') 'AFTER1 IT=', 'it', 'l', &
+                IF (prt_level>=5) THEN
+        WRITE(*, '(a11,2a4,4a13)') 'AFTER1 IT=', 'it', 'l', &
         'presniv', 'plev', 'play', 'phi'
-        write(*, '(a11,2i4,4f13.2)') ('AFTER1 it= ', it, l, &
+        WRITE(*, '(a11,2i4,4f13.2)') ('AFTER1 it= ', it, l, &
         presnivs(l), plev(l), play(l), phi(l), l = 1, llm)
-                write(*, '(a11,2a4,a11,6a8)') 'AFTER2', 'it', 'l', &
+                WRITE(*, '(a11,2a4,a11,6a8)') 'AFTER2', 'it', 'l', &
                 'presniv', 'u', 'v', 'temp', 'q1', 'q2', 'omega2'
-                write(*, '(a11,2i4,f11.2,5f8.2,e10.2)') ('AFTER2 it= ', it, l, &
+                WRITE(*, '(a11,2i4,f11.2,5f8.2,e10.2)') ('AFTER2 it= ', it, l, &
                 presnivs(l), u(l), v(l), temp(l), q(l, 1), q(l, 2), omega2(l), l = 1, llm)
-        write(*, '(a11,2a4,a11,5a8)') 'AFTER3', 'it', 'l', &
+        WRITE(*, '(a11,2a4,a11,5a8)') 'AFTER3', 'it', 'l', &
         'presniv', 'du_phys', 'dv_phys', 'dt_phys', 'dq1', 'dq2'
-        write(*, '(a11,2i4,f11.2,5f8.2)') ('AFTER3 it= ', it, l, &
+        WRITE(*, '(a11,2i4,f11.2,5f8.2)') ('AFTER3 it= ', it, l, &
         presnivs(l), 86400 * du_phys(l), 86400 * dv_phys(l), &
         86400 * dt_phys(l), 86400 * dq(l, 1), dq(l, 2), l = 1, llm)
-                write(*, *) 'dpsrf', dpsrf
+                WRITE(*, *) 'dpsrf', dpsrf
                 END IF
                 !---------------------------------------------------------------------
@@ -1126,5 +1125,5 @@
 
                 fcoriolis = 2. * sin(rpi * xlat / 180.) * romega
-        IF (forcing_radconv .or. forcing_fire) then
+        IF (forcing_radconv .or. forcing_fire) THEN
         fcoriolis = 0.0
         dt_cooling = 0.0
@@ -1135,14 +1134,14 @@
 
                 IF (forcing_toga .or. forcing_GCSSold .or. forcing_twpice            &
-                .or.forcing_amma .or. forcing_type==101) then
+                .or.forcing_amma .or. forcing_type==101) THEN
                 fcoriolis = 0.0 ; ug = 0. ; vg = 0.
                 END IF
 
-                IF(forcing_rico) then
+                IF(forcing_rico) THEN
                 dt_cooling = 0.
                 END IF
 
                 !CRio:Attention modif sp??cifique cas de Caroline
-IF (forcing_type==-1) then
+IF (forcing_type==-1) THEN
         fcoriolis = 0.
         !Nudging
@@ -1150,7 +1149,7 @@
         !on calcule dt_cooling
         do l = 1, llm
-        if (play(l)>=20000.) then
+        if (play(l)>=20000.) THEN
         dt_cooling(l) = -1.5 / 86400.
-        elseif ((play(l)>=10000.).and.((play(l)<20000.))) then
+        elseif ((play(l)>=10000.).and.((play(l)<20000.))) THEN
         dt_cooling(l) = -1.5 / 86400. * (play(l) - 10000.) / (10000.) - 1. / 86400. * (20000. - play(l)) / 10000. * (temp(l) - 200.)
                 else
@@ -1161,5 +1160,5 @@
         END IF
                 !RC
-                IF (forcing_sandu) then
+                IF (forcing_sandu) THEN
                 ug(1:llm) = u_mod(1:llm)
                 vg(1:llm) = v_mod(1:llm)
@@ -1198,9 +1197,9 @@
         d_u_nudge(:) = 0.
         d_v_nudge(:) = 0.
-        IF (nudge(inudge_RHT)) then
+        IF (nudge(inudge_RHT)) THEN
         CALL nudge_RHT(timestep, plev, play, t_targ, rh_targ, temp, q(:, 1), &
         d_t_nudge, d_q_nudge(:, 1))
         END IF
-        IF (nudge(inudge_UV)) then
+        IF (nudge(inudge_UV)) THEN
         CALL nudge_UV(timestep, plev, play, u_targ, v_targ, u, v, &
         d_u_nudge, d_v_nudge)
@@ -1218,5 +1217,5 @@
         d_q_adv = 0.
         do l = 2, llm - 1
-        if (zlay(l)<=1100) then
+        if (zlay(l)<=1100) THEN
         wwww = -0.00001 * zlay(l)
                 d_t_adv(l) = -wwww * (teta(l) - teta(l + 1)) / (zlay(l) - zlay(l + 1)) / (pzero / play(l))**rkappa
@@ -1243,5 +1242,5 @@
         ! pour les cas sandu et astex, on reclacule u,v,q,temp et teta dans 1D_nudge_sandu_astex.h
         ! au dessus de 700hpa, on relaxe vers les profils initiaux
-        if (forcing_sandu .OR. forcing_astex) then
+        if (forcing_sandu .OR. forcing_astex) THEN
         INCLUDE "1D_nudge_sandu_astex.h"
         else
@@ -1259,5 +1258,5 @@
         + d_q_nudge(1:mxcalc, :))
 
-                if (prt_level>=3) then
+                if (prt_level>=3) THEN
                 print *, &
                 'physiq-> temp(1),dt_phys(1),d_t_adv(1),dt_cooling(1) ', &
@@ -1316,5 +1315,5 @@
                 !   Air temperature :
                 !---------------------------------------------------------------------
-                IF (lastcall) then
+                IF (lastcall) THEN
                 PRINT*, 'Pas de temps final ', it
                 CALL ju2ymds(daytime, an, mois, jour, heure)
